## com.baidubce.services.bmr.model
Class TerminateClusterRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.bmr.model.TerminateClusterRequest

    public class TerminateClusterRequest

extends AbstractBceRequest

Provides options for terminating BMR cluster.

Constructor Summary
`TerminateClusterRequest()`

Method Summary
`String` `getClusterId()`
`void` `setClusterId(String clusterId)`
`TerminateClusterRequest` `withClusterId(String clusterId)` Configure the cluster ID for the request.
`TerminateClusterRequest` `withRequestCredentials(BceCredentials credentials)` Configure request credential for the request.

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TerminateClusterRequest

    public TerminateClusterRequest()

Method Detail

### getClusterId

    public String getClusterId()

### setClusterId

    public void setClusterId(String clusterId)

### withClusterId

    public TerminateClusterRequest withClusterId(String clusterId)

  Configure the cluster ID for the request.

  Parameters:
    `clusterId` - The ID of cluster that to be terminated.
  Returns:
    TerminateClusterRequest

### withRequestCredentials

    public TerminateClusterRequest withRequestCredentials(BceCredentials credentials)

  Configure request credential for the request.

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`
  Parameters:
    `credentials` - a valid instance of BceCredentials.
  Returns:
    TerminateClusterRequest

Copyright © 2016. All rights reserved.